/*-----------------------------------*\

  Partial: Images

\*-----------------------------------*/

figcaption {
  @extend .meta;

  font-family: $font-Sans;
  font-size: .764705882rem;
  line-height: 1.615384615;

  .caps {
    font-family: $font-Sans-SC;
  }
}

figure {
  img {
    display: block;
    margin-bottom: $baseline/2;

    @media ( max-width: $breakpoint-small ) {
      max-width: none;
      width: calc( 100% + #{$baseline} );
      margin-left: -$baseline/2;
      margin-right: -$baseline/2;
    }
  }
}

.aligncenter {
  display: block;
  margin: 0 auto 1.5rem;
}

.alignleft, .alignright {
  clear: both;
  margin-bottom: $baseline/2;
  max-width: 35%;

  img {
    max-width: 100%;
    width: auto;
    margin: auto;
    margin-bottom: $baseline/2;

    @media ( max-width: $breakpoint-small ) {
      max-width: none;
      width: calc( 100% + #{$baseline} );
      margin-left: -$baseline/2;
      margin-right: -$baseline/2;
    }
  }
}

.alignleft {
  float: left;
  margin-left: -35%;
  padding-right: $baseline;
}

.alignright {
  float: right;
  margin-right: -35%;
  padding-left: $baseline;
}

@media ( max-width: $breakpoint-regular ) {
  .alignleft {
    margin-left: -13.5%;
  }

  .alignright {
    margin-right: -13.5%;
  }
}

@media ( max-width: $breakpoint-small ) {
  .alignleft, .alignright {
    float: none;
    max-width: 100%;
    margin: 0 auto;
    margin-bottom: $baseline;
    padding: 0;
  }
}

.breakout {
  @media ( min-width: $breakpoint-small ) {
    max-width: 60rem;
    margin: 0 auto;
    padding-top: $baseline;
    margin-bottom: $baseline*2;

    img {
      margin-bottom: 0;
    }

    figcaption {
      position: absolute;
      z-index: 2;
      bottom: $baseline;
      left: 0;
      right: 0;
      color: #fff;
      text-shadow: 0 1px 1px rgba(0,0,0,.2);
    }

    &:after {
      content: '';
      position: absolute;
      left: 0;
      right: 0;
      bottom: 0;
      top: 75%;
      background-image: linear-gradient(transparent, rgba(0,0,0,.75));
    }
  }

  img {
    max-width: 100%;
    width: 100%;
    margin: {
      left: 0;
      right: 0;
    }
  }

  figcaption {
    @extend .wrap;
  }
}